# UniTAP.common.video_frame

class ImageFileFormat(enum.IntEnum):

Describe all supported image file formats for saving `VideoFrame`:

- BIN.
- PPM.
- BMP.
- DSC.

IFF_BIN = <ImageFileFormat.IFF_BIN: 0>
IFF_PPM = <ImageFileFormat.IFF_PPM: 1>
IFF_BMP = <ImageFileFormat.IFF_BMP: 2>
IFF_DSC = <ImageFileFormat.IFF_DSC: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class VideoFrame:

Class `VideoFrame` contains base information about video frame:

- Height (int).
- Width (int).
- Data (bytearray).
- Color info (object of `ColorInfo`).
- Data info (object of `DataInfo`).
- Timestamp (object of `Timestamp`).

width
height
data
color_info
data_info
timestamp
def is_compressed(self) -> bool:
def get_vf_from_image( path: str, width: int, height: int) -> VideoFrame:

Function allows getting prepared object of `VideoFrame` from external (custom) image.

###### Arguments:

- path (str) - full path to image.
- width (int) - width of image.
- height (int) - height of image.